package jrummikub.model;

/** A StoneTray is a collection of positioned objects (for example {@link Stone}s or {@link StoneSet}s.  */
public abstract class StoneTray<E extends Sizeable> {
	protected List<E> objects;
	protected List<Position> positions;
	
	/**
	 * Removes object from tray and returns it
	 * 
	 * @param position
	 *            position of the object that will be removed
	 */
	public E pickUp(Position position) {

	}
	

	/**
	 * Adds object to the tray
	 * 
	 * @param object
	 *            object to add to Hand
	 * @param position
	 *            {@link Position} to put the object
	 */
	public void drop(E object, Position position) {

	}
	
}
